# Cheatsheet

Some useful commands for development and testing.

<!-- please use spaces at line start to indicate shell cmds -->

## Certificates

Following commands require `OpenSSL` to be installed. It is provided as `openssl` package in Arch Linux.

Generate self-signed TLS certificate:

    openssl req -x509 -newkey rsa:4096 -sha256 -days 365 -noenc \
    -keyout certs/xmpp.key -out certs/xmpp.pem \
    -subj "/CN=example.com"

Print content of a TLS certificate:

    openssl x509 -in certs/xmpp.pem -text

Make sure `xmpp.key` starts and ends with:
```
-----BEGIN RSA PRIVATE KEY-----
-----END RSA PRIVATE KEY-----
```
